Bug 33887 - security/snort port cannot find its rule files
Summary: security/snort port cannot find its rule files
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Kris Kennaway
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-01-14 18:50 UTC by AnarCat
Modified: 2002-10-06 10:48 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (3.94 KB, patch)
2002-01-14 18:50 UTC, AnarCat
no flags Details | Diff
file.diff (368 bytes, patch)
2002-01-14 18:50 UTC, AnarCat
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description AnarCat 2002-01-14 18:50:01 UTC
the snort port installs its configuration files in ${PREFIX}/etc and its
rule files in share/snort.

snort itself looks for its rules files in the same place as its
configuration file, or in the current directory.

Fix: Workaround:

s#include #include /usr/local/share/snort/#

in the configuration file.

Proper fix:

1: install the config and rules files in a seperate etc/snort/
directory

2: fix pkg-message and pkg-plist accordingly

3: snort itself also needs patching to detect the config file correctly

Note that this doesn't make snort PREFIX-independant yet, since it won't
be able to find the files in $PREFIX if it's not /usr/local/. But this
was also the case before. Heck, it couldn't even find its own config
file in /usr/local/etc/ at all!!!

[patch to add to files/]
How-To-Repeat: 
1- install the snort port
2- rename the configuration files appropriatly
3- run snort

it won't find its rules files unless you modify the configuration files.
Comment 1 Patrick Li freebsd_committer 2002-01-15 03:21:11 UTC
Responsible Changed
From-To: freebsd-ports->kris

Over to maintainer
Comment 2 Kris Kennaway freebsd_committer 2002-10-06 10:48:19 UTC
State Changed
From-To: open->closed

I believe this is fixed with the upgrade to 1.9.0